## org.hibernate.ejb.criteria
Class ValueHandlerFactory.StringValueHandler

    java.lang.Object
      org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler<String>
          org.hibernate.ejb.criteria.ValueHandlerFactory.StringValueHandler

All Implemented Interfaces:
  Serializable, ValueHandlerFactory.ValueHandler<String>

Enclosing class:
  ValueHandlerFactory

    public static class ValueHandlerFactory.StringValueHandler

extends ValueHandlerFactory.BaseValueHandler<String>
implements Serializable

See Also:
  Serialized Form

Field Summary
`static ValueHandlerFactory.StringValueHandler` `INSTANCE`

Constructor Summary
`ValueHandlerFactory.StringValueHandler()`

Method Summary
`String` `convert(Object value)`

Methods inherited from class org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler
`render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ValueHandlerFactory.StringValueHandler INSTANCE

Constructor Detail

### ValueHandlerFactory.StringValueHandler

    public ValueHandlerFactory.StringValueHandler()

Method Detail

### convert

    public String convert(Object value)

  Specified by:
    `convert` in interface `ValueHandlerFactory.ValueHandler<String>`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.